---
layout: system

title: "sTeX: Semantic Markup for LaTeX"

start_date: 2004-09

people: 
    - mkohlhase
    - dginev
    - twiesing

supported-by:
    - sissi
    - mathsearch
    - odk

repository: https://github.com/KWARC/sTeX
publink: http://kwarc.github.io/bibs/sTeX
---

The TeX/LaTeX workflow is deeply embedded into mathematical practice. Therefore the sTeX
system allows to embed [/structural semantics](/research/structural-semantics) into
documents. Concretely sTeX is a "semantic version of LaTeX" that allows to use special
macros to encode mathematical meaning explicitly. This is (largely ignored in PDF
generation), but can be taken into account when generating [OMDoc-based](/systems/omdoc/) active documents.

## Resources
* [sTeX at GitHub](https://github.com/KWARC/sTeX) and the corresponding
[LaTeXML](http://dlmf.nist.gov/LaTeXML/)
[plugin for sTeX](https://github.com/KWARC/LaTeXML-Plugin-sTeX)
* Some sTeX-based libraries of active doucents on [MathHub.info](http://mathhub.info): [SMGloM](https://mathhub.info/smglom), [active course notes](https://mathhub.info/MiKoMH).  
* Their sources can be found here: [SMGloM](https://gl.mathhub.info/smglom), [active course notes](https://gl.mathhub.info/MiKoMH).  

## Documentation/Papers
* M. Kohlhase (2008) [*Using LaTeX as a semantic markup format*](https://kwarc.info/kohlhase/papers/mcs08-stex.pdf). Mathematics in Computer Science 2 (2), pp. 279–304
* ... [complete bibliography](http://kwarc.github.io/bibs/sTeX)
